# Copyright Vespa.ai. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root.

# Disable build id note requirement for now
%undefine _missing_build_ids_terminate_build

# Force special prefix for Vespa
%define _prefix /opt/vespa-deps

# Version
%define ver_major 3
%define ver_minor 22
%define ver_patch 0
%define ver_release 1

Summary:        Valgrind compiled for vespa
Name:           vespa-valgrind
Version:        %{ver_major}.%{ver_minor}.%{ver_patch}
Release:        %{ver_release}%{?dist}
License:        GPLv2+
URL:            http://www.valgrind.org/
Source0:        https://sourceware.org/pub/valgrind/valgrind-%{version}.tar.bz2

%if 0%{?el8}
%define _devtoolset_enable /opt/rh/gcc-toolset-12/enable
%define _devtoolset_gdb /opt/rh/gcc-toolset-12/root/usr/bin/gdb
BuildRequires: vespa-toolset-12-meta
BuildRequires: glibc-devel
BuildRequires: gcc-toolset-12-gdb
BuildRequires: procps
BuildRequires: perl-generators
BuildRequires: perl(Getopt::Long)
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: docbook-dtds
BuildRequires: make
BuildRequires: elfutils-debuginfod
BuildRequires: elfutils-debuginfod-client
BuildRequires: python3.11
BuildRequires: python3.11-rpm-macros
%endif

%description
Valgrind compiled for vespa.

%prep
%setup -q -n valgrind-%{version}

%build
%if 0%{?_devtoolset_enable:1}
source %{_devtoolset_enable} || true
%endif
./autogen.sh

%undefine _strict_symbol_defs_build

CFLAGS="$(echo " %{optflags} " | sed 's/ -fstack-protector\([-a-z]*\) / / g;s/ -O2 / /g;')"
export CFLAGS

%configure \
  --with-mpicc=/bin/false \
  --enable-only64bit \
  GDB=%{?_devtoolset_gdb:%{_devtoolset_gdb}}%{!?_devtoolset_gdb:%{_bindir}/gdb}

make %{?_smp_mflags}

%install
%if 0%{?_devtoolset_enable:1}
source %{_devtoolset_enable} || true
%endif
%make_install

%files
%dir %{_prefix}
%{_prefix}/bin/
%{_prefix}/include/
%{_prefix}/lib64/
%{_prefix}/libexec/
%{_prefix}/share/

%changelog
